#ifndef _PROCS_H_
#define _PROCS_H_
#include <string.h>
#include <conio.h>
#include <time.h>

void Delay(unsigned);
void ClearKbd();
void NumToStr(unsigned number, char *s);

void Delay(unsigned clocks)
{
  long t = clock();
  while (clock() - t < clocks);
}

void ClearKbd()
{
  while (kbhit()) getch();
}

void NumToStr(unsigned number, char *s)
{
  if (!number)
  {
    strcpy(s, "Zero");
    return;
  }

  if (number / 10 != 1)
  {
    switch (number / 10)
    {
      case 0: strcpy(s, ""); break;
      case 2: strcpy(s, "Twenty"); break;
      case 3: strcpy(s, "Thirty"); break;
      case 4: strcpy(s, "Fourty"); break;
      case 5: strcpy(s, "Fifty"); break;
      case 6: strcpy(s, "Sixty"); break;
      case 7: strcpy(s, "Seventy"); break;
      case 8: strcpy(s, "Eighty"); break;
      case 9: strcpy(s, "Ninghty");
    }
    if (number / 10)
      strcat(s, " ");
    switch (number % 10)
    {
      case 1: strcat(s, "One"); break;
      case 2: strcat(s, "Two"); break;
      case 3: strcat(s, "Three"); break;
      case 4: strcat(s, "Four"); break;
      case 5: strcat(s, "Five"); break;
      case 6: strcat(s, "Six"); break;
      case 7: strcat(s, "Seven"); break;
      case 8: strcat(s, "Eight"); break;
      case 9: strcat(s, "Nine");
    }
  }
  else
    switch (number % 10)
    {
      case 0: strcpy(s, "Ten"); break;
      case 1: strcpy(s, "Eleven"); break;
      case 2: strcpy(s, "Twelve"); break;
      case 3: strcpy(s, "Thirteen"); break;
      case 4: strcpy(s, "Fourteen"); break;
      case 5: strcpy(s, "Fifteen"); break;
      case 6: strcpy(s, "Sixteen"); break;
      case 7: strcpy(s, "Seventeen"); break;
      case 8: strcpy(s, "Eighteen"); break;
      case 9: strcpy(s, "Ninghteen");
    }
}

#endif

