#ifndef _DEFS_H_
#define _DEFS_H_

unsigned char Level[16][28];
unsigned char far *offss[] = {MARIOS_ADDR, TURTLES_ADDR, DOTS_ADDR,
                              DINO_ADDR, FISH_ADDR, BONUS_ADDR, CAPS_ADDR,
                              SECRET_ADDR, MONEY_ADDR, BALL_ADDR,
                              PLATFORM_ADDR, FIREBALL_ADDR, FLOWERS_ADDR};

#define MAX_OBJECTS     64

struct LevelObj {
  unsigned char type;
  unsigned char x;
  unsigned char y;
  unsigned char reserved;
} Objects[MAX_OBJECTS];

int numobjects = 0;
int modified = 0;

#define WATER_OFFSET    22400
#define BRICK_OFFSET    24360
#define BINARY_OFFSET   26320
#define MARIO_OFFSET    14840
#define LEVEL_SIZE      473
#define SPRITE_SIZE     284
#define LEVEL_DATA      448

#define BLACK           0
#define DARKBLUE        1
#define TEXTBOX         28
#define DARKGREEN       2
#define RED             5
#define GRAY            29
#define DARKGRAY        25
#define BLUE            9
#define GREEN           10
#define SILVER          11
#define YELLOW          14
#define WHITE           9

#define False           0
#define True            1

#define PANEL_X         20
#define PANEL_Y         20

const int CM_EXIT        = 1;
const int CM_LOAD        = 2;
const int CM_SAVE        = 3;
const int CM_NEW         = 4;
const int CM_CLEAR       = 5;
const int CM_TEX         = 6;
const int CM_PROP        = 7;

const int MB_OK          = 101;
const int MB_YESNO       = 102;
const int MB_YESNOCANCEL = 103;

const int ID_OK          = 201;
const int ID_YES         = 202;
const int ID_NO          = 203;
const int ID_CANCEL      = 204;

#endif
