;****************************************************************************
;*                               GRAPHICS.ASM
;*                       COPYRIGHT (C) 1999 MATI INC.
;****************************************************************************
IDEAL   

MODEL   SMALL     

LOCALS  @@        

RENDER_COLOR EQU       89H   


CODESEG 

        PUBLIC    _PUT_PIXEL 
        PUBLIC    _PUT_IMAGE 
PUBLIC  _PUT_RENDER_IMAGE 

        PUBLIC    _H_LINE 
        PUBLIC    _V_LINE 
        PUBLIC    _DIAGONAL_LINE1 
        PUBLIC    _DIAGONAL_LINE2 
        PUBLIC    _BAR  
        PUBLIC    _FLIP 
        PUBLIC    _PAGE 
        _PAGE     DW    0 

PROC    _PUT_PIXEL FAR   
        ARG       X:WORD, Y:WORD, COLOR:WORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      0A000H 
        POP       ES    
        MOV       BX,   [X] 
        MOV       CL,   BL 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        AND       CL,   3 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        PUSH      DI    
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        SHR       BX,   2 
        ADD       DI,   BX 
        MOV       AX,   [COLOR] 
        ADD       DI,   [_PAGE] 
        STOSB     
        POP       DI    
        POP       BP    
        RET       
ENDP    


PROC    _PUT_IMAGE FAR   
        ARG       X:WORD, Y:WORD, W:WORD, H:WORD, DATA:DWORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DS    
        PUSH      DI    
        PUSH      SI    
        PUSH      0A000H 
        POP       ES    
        LDS       SI,   [DATA] 
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        MOV       AX,   [X] 
        SHR       AX,   2 
        ADD       DI,   AX 
        ADD       DI,   [_PAGE] 
        MOV       CX,   [W] 
        MOV       BX,   [X] 
@@1:    PUSH      CX    
        MOV       CL,   BL 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        AND       CL,   3 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        MOV       CX,   [H] 
        PUSH      DI    
        PUSH      SI    
@@2:    MOVSB     
        ADD       DI,   79 
        MOV       AX,   [W] 
        DEC       AX    
        ADD       SI,   AX 
        LOOP      @@2   
        POP       SI    
        POP       DI    
        INC       SI    
        INC       DI    
        MOV       CL,   BL 
        XOR       CH,   CH 
        AND       CL,   3 
        XOR       CL,   3 
        JCXZ      @@3   
        DEC       DI    
@@3:    INC       BX    
        POP       CX    
        LOOP      @@1   
        POP       SI    
        POP       DI    
        POP       DS    
        POP       BP    
        RET       
ENDP    

PROC    _PUT_RENDER_IMAGE FAR   

        ARG       X:WORD, Y:WORD, W:WORD, H:WORD, DATA:DWORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DS    
        PUSH      DI    
        PUSH      SI    
        PUSH      0A000H 
        POP       ES    
        LDS       SI,   [DATA] 
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        MOV       AX,   [X] 
        SHR       AX,   2 
        ADD       DI,   AX 
        ADD       DI,   [_PAGE] 
        MOV       CX,   [W] 
        MOV       BX,   [X] 
@@1:    PUSH      CX    
        MOV       CL,   BL 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        AND       CL,   3 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        MOV       CX,   [H] 
        PUSH      DI    
        PUSH      SI    
@@2:    LODSB     
CMP     AL,       RENDER_COLOR 

        JNE       @@4   
        ADD       DI,   80 
        JMP       @@5   
@@4:    STOSB     
        ADD       DI,   79 
@@5:    MOV       AX,   [W] 
        DEC       AX    
        ADD       SI,   AX 
        LOOP      @@2   
        POP       SI    
        POP       DI    
        INC       SI    
        INC       DI    
        MOV       CL,   BL 
        XOR       CH,   CH 
        AND       CL,   3 
        XOR       CL,   3 
        JCXZ      @@3   
        DEC       DI    
@@3:    INC       BX    
        POP       CX    
        LOOP      @@1   
        POP       SI    
        POP       DI    
        POP       DS    
        POP       BP    
        RET       
ENDP    


PROC    _H_LINE   FAR   
        ARG       X:WORD, Y:WORD, W:WORD, COLOR:WORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DI    
        PUSH      0A000H 
        POP       ES    
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        MOV       BX,   [X] 
        MOV       AX,   BX 
        SHR       AX,   2 
        ADD       DI,   AX 
        ADD       DI,   [_PAGE] 
        MOV       CX,   [W] 
@@1:    PUSH      CX    
        MOV       CL,   BL 
        AND       CL,   3 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        MOV       AX,   [COLOR] 
        STOSB     
        MOV       CL,   BL 
        XOR       CH,   CH 
        AND       CL,   3 
        XOR       CL,   3 
        JCXZ      @@3   
        DEC       DI    
@@3:    INC       BX    
        POP       CX    
        LOOP      @@1   
        POP       DI    
        POP       BP    
        RET       
ENDP    


PROC    _V_LINE   FAR   
        ARG       X:WORD, Y:WORD, H:WORD, COLOR:WORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DI    
        PUSH      0A000H 
        POP       ES    
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        MOV       CX,   [X] 
        MOV       AX,   CX 
        SHR       AX,   2 
        ADD       DI,   AX 
        ADD       DI,   [_PAGE] 
        AND       CL,   3 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        MOV       CX,   [H] 
        MOV       AX,   [COLOR] 
@@1:    STOSB     
        ADD       DI,   79 
        LOOP      @@1   
        POP       DI    
        POP       BP    
        RET       
ENDP    


PROC    _DIAGONAL_LINE1 FAR   
        ARG       X:WORD, Y:WORD, H:WORD, COLOR:WORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DI    
        PUSH      0A000H 
        POP       ES    
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        MOV       CX,   [X] 
        MOV       AX,   CX 
        SHR       AX,   2 
        ADD       DI,   AX 
        ADD       DI,   [_PAGE] 
        AND       CL,   3 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        MOV       CX,   [H] 
        MOV       AX,   [COLOR] 
@@1:    STOSB     
        ADD       DI,   80 
        LOOP      @@1   
        POP       DI    
        POP       BP    
        RET       
ENDP    


PROC    _DIAGONAL_LINE2 FAR   
        ARG       X:WORD, Y:WORD, H:WORD, COLOR:WORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DI    
        PUSH      0A000H 
        POP       ES    
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        MOV       CX,   [X] 
        MOV       AX,   CX 
        SHR       AX,   2 
        ADD       DI,   AX 
        ADD       DI,   [_PAGE] 
        AND       CL,   3 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        MOV       CX,   [H] 
        MOV       AX,   [COLOR] 
@@1:    STOSB     
        ADD       DI,   78 
        LOOP      @@1   
        POP       DI    
        POP       BP    
        RET       
ENDP    


PROC    _BAR      FAR   
        ARG       X:WORD, Y:WORD, W:WORD, H:WORD, COLOR:WORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DI    
        PUSH      0A000H 
        POP       ES    
        MOV       DI,   [Y] 
        MOV       AX,   DI 
        SHL       DI,   6 
        SHL       AX,   4 
        ADD       DI,   AX 
        MOV       AX,   [X] 
        SHR       AX,   2 
        ADD       DI,   AX 
        ADD       DI,   [_PAGE] 
        MOV       CX,   [W] 
        MOV       BX,   [X] 
@@1:    PUSH      CX    
        MOV       CL,   BL 
        MOV       DX,   3C4H 
        MOV       AL,   2 
        AND       CL,   3 
        MOV       AH,   1 
        SHL       AH,   CL 
        OUT       DX,   AX 
        MOV       CX,   [H] 
        PUSH      DI    
@@2:    MOV       AX,   [COLOR] 
        STOSB     
        ADD       DI,   79 
        LOOP      @@2   
        POP       DI    
        INC       DI    
        MOV       CL,   BL 
        XOR       CH,   CH 
        AND       CL,   3 
        XOR       CL,   3 
        JCXZ      @@3   
        DEC       DI    
@@3:    INC       BX    
        POP       CX    
        LOOP      @@1   
        POP       DI    
        POP       BP    
        RET       
ENDP    


PROC    _FLIP     FAR   
        ARG       DATA:DWORD, W:WORD, H:WORD 
        PUSH      BP    
        MOV       BP,   SP 
        PUSH      DS    
        PUSH      DI    
        PUSH      SI    
        LES       DI,   [DATA] 
        LDS       SI,   [DATA] 
        ADD       DI,   [W] 
        DEC       DI    
        MOV       CX,   [H] 
@@1:    PUSH      CX    
        MOV       CX,   [W] 
        SHR       CX,   1 
        PUSH      DI    
        PUSH      SI    
@@2:    MOV       BL,   [ES:[DI]] 
        MOV       AL,   [DS:[SI]] 
        MOV       [ES:[DI]], AL 
        MOV       [DS:[SI]], BL 
        INC       SI    
        DEC       DI    
        LOOP      @@2   
        POP       SI    
        POP       DI    
        ADD       SI,   [W] 
        ADD       DI,   [W] 
        POP       CX    
        LOOP      @@1   
        POP       SI    
        POP       DI    
        POP       DS    
        POP       BP    
        RET       
ENDP    

END     

